<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Класс ErrorDialog</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#signals">Сигналы</a> &#124;
<a href="#pub-methods">Открытые члены</a> &#124;
<a href="#properties">Свойства</a> &#124;
<a href="classErrorDialog-members.html">Полный список членов класса</a>  </div>
  <div class="headertitle">
<div class="title">Класс ErrorDialog</div>  </div>
</div><!--header-->
<div class="contents">

<p>Диалог ошибки (или же нажатия сочетания клавиш)  
 <a href="classErrorDialog.html#details">Подробнее...</a></p>
<div class="dynheader">
Граф наследования:ErrorDialog:</div>
<div class="dyncontent">
<div class="center"><img src="classErrorDialog__inherit__graph.png" border="0" usemap="#ErrorDialog_inherit__map" alt="Inheritance graph"/></div>
<map name="ErrorDialog_inherit__map" id="ErrorDialog_inherit__map">
<area shape="rect" title="Диалог ошибки (или же нажатия сочетания клавиш)" alt="" coords="5,80,100,107"/>
<area shape="rect" title=" " alt="" coords="21,5,85,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<div class="dynheader">
Граф связей класса ErrorDialog:</div>
<div class="dyncontent">
<div class="center"><img src="classErrorDialog__coll__graph.png" border="0" usemap="#ErrorDialog_coll__map" alt="Collaboration graph"/></div>
<map name="ErrorDialog_coll__map" id="ErrorDialog_coll__map">
<area shape="rect" title="Диалог ошибки (или же нажатия сочетания клавиш)" alt="" coords="5,80,100,107"/>
<area shape="rect" title=" " alt="" coords="21,5,85,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Сигналы</h2></td></tr>
<tr class="memitem:acd5b98481db0e5722d433f327d284f3c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classErrorDialog.html#acd5b98481db0e5722d433f327d284f3c">windowClosed</a> ()</td></tr>
<tr class="memdesc:acd5b98481db0e5722d433f327d284f3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Сигнал о том, что окно закрыто  <a href="classErrorDialog.html#acd5b98481db0e5722d433f327d284f3c">Подробнее...</a><br /></td></tr>
<tr class="separator:acd5b98481db0e5722d433f327d284f3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Открытые члены</h2></td></tr>
<tr class="memitem:a76a4c33b50ae84df161e2ab721df4f4b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classErrorDialog.html#a76a4c33b50ae84df161e2ab721df4f4b">playSound</a> ()</td></tr>
<tr class="memdesc:a76a4c33b50ae84df161e2ab721df4f4b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Функция для старта звукового уведомления  <a href="classErrorDialog.html#a76a4c33b50ae84df161e2ab721df4f4b">Подробнее...</a><br /></td></tr>
<tr class="separator:a76a4c33b50ae84df161e2ab721df4f4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5604f8a0fc408ba9d81c1fa62dd61bc4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classErrorDialog.html#a5604f8a0fc408ba9d81c1fa62dd61bc4">clearData</a> ()</td></tr>
<tr class="memdesc:a5604f8a0fc408ba9d81c1fa62dd61bc4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Очистка введенных сочетаний  <a href="classErrorDialog.html#a5604f8a0fc408ba9d81c1fa62dd61bc4">Подробнее...</a><br /></td></tr>
<tr class="separator:a5604f8a0fc408ba9d81c1fa62dd61bc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Свойства</h2></td></tr>
<tr class="memitem:a0ec37a8db38d1ef1d7a586c7cd9a17ec"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classErrorDialog.html#a0ec37a8db38d1ef1d7a586c7cd9a17ec">log</a></td></tr>
<tr class="memdesc:a0ec37a8db38d1ef1d7a586c7cd9a17ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Лог вывода  <a href="classErrorDialog.html#a0ec37a8db38d1ef1d7a586c7cd9a17ec">Подробнее...</a><br /></td></tr>
<tr class="separator:a0ec37a8db38d1ef1d7a586c7cd9a17ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20df88d75fbcff326603c66cc8bb1412"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classErrorDialog.html#a20df88d75fbcff326603c66cc8bb1412">err_name</a></td></tr>
<tr class="memdesc:a20df88d75fbcff326603c66cc8bb1412"><td class="mdescLeft">&#160;</td><td class="mdescRight">Текст для вывода ошибки  <a href="classErrorDialog.html#a20df88d75fbcff326603c66cc8bb1412">Подробнее...</a><br /></td></tr>
<tr class="separator:a20df88d75fbcff326603c66cc8bb1412"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22e87d1547a8e6f99b3a3641fec677ac"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classErrorDialog.html#a22e87d1547a8e6f99b3a3641fec677ac">onlyMessage</a></td></tr>
<tr class="memdesc:a22e87d1547a8e6f99b3a3641fec677ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Флаг для разграничения диалога ошибки и диалога выбора сочетания клавиш  <a href="classErrorDialog.html#a22e87d1547a8e6f99b3a3641fec677ac">Подробнее...</a><br /></td></tr>
<tr class="separator:a22e87d1547a8e6f99b3a3641fec677ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a183274a4438fb5fe150fe29d89e64fd9"><td class="memItemLeft" align="right" valign="top">var&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classErrorDialog.html#a183274a4438fb5fe150fe29d89e64fd9">countPressed</a></td></tr>
<tr class="memdesc:a183274a4438fb5fe150fe29d89e64fd9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Кол-во нажатых клавиш  <a href="classErrorDialog.html#a183274a4438fb5fe150fe29d89e64fd9">Подробнее...</a><br /></td></tr>
<tr class="separator:a183274a4438fb5fe150fe29d89e64fd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba8cbec72f97ca578b307c95a3e13c74"><td class="memItemLeft" align="right" valign="top">var&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classErrorDialog.html#aba8cbec72f97ca578b307c95a3e13c74">countReleased</a></td></tr>
<tr class="memdesc:aba8cbec72f97ca578b307c95a3e13c74"><td class="mdescLeft">&#160;</td><td class="mdescRight">Кол-во отпущенных клавиш  <a href="classErrorDialog.html#aba8cbec72f97ca578b307c95a3e13c74">Подробнее...</a><br /></td></tr>
<tr class="separator:aba8cbec72f97ca578b307c95a3e13c74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cc274bfdf2fe3322640db72d2effd9d"><td class="memItemLeft" align="right" valign="top">var&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classErrorDialog.html#a0cc274bfdf2fe3322640db72d2effd9d">shortcutHead</a></td></tr>
<tr class="memdesc:a0cc274bfdf2fe3322640db72d2effd9d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Массив спец клавиш(Ctrl,Shift..)  <a href="classErrorDialog.html#a0cc274bfdf2fe3322640db72d2effd9d">Подробнее...</a><br /></td></tr>
<tr class="separator:a0cc274bfdf2fe3322640db72d2effd9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12532ec4c07ef9d70c4844910518317b"><td class="memItemLeft" align="right" valign="top">var&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classErrorDialog.html#a12532ec4c07ef9d70c4844910518317b">shortcutTail</a></td></tr>
<tr class="memdesc:a12532ec4c07ef9d70c4844910518317b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Массив остальных нажатых клавиш  <a href="classErrorDialog.html#a12532ec4c07ef9d70c4844910518317b">Подробнее...</a><br /></td></tr>
<tr class="separator:a12532ec4c07ef9d70c4844910518317b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Подробное описание</h2>
<div class="textblock"><p>Диалог ошибки (или же нажатия сочетания клавиш) </p>

<p class="definition">См. определение в файле <a class="el" href="ErrorDialog_8qml_source.html">ErrorDialog.qml</a> строка <a class="el" href="ErrorDialog_8qml_source.html#l00014">14</a></p>
</div><h2 class="groupheader">Методы</h2>
<a id="a5604f8a0fc408ba9d81c1fa62dd61bc4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5604f8a0fc408ba9d81c1fa62dd61bc4">&#9670;&nbsp;</a></span>clearData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ErrorDialog::clearData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Очистка введенных сочетаний </p>

</div>
</div>
<a id="a76a4c33b50ae84df161e2ab721df4f4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76a4c33b50ae84df161e2ab721df4f4b">&#9670;&nbsp;</a></span>playSound()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ErrorDialog::playSound </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Функция для старта звукового уведомления </p>

</div>
</div>
<a id="acd5b98481db0e5722d433f327d284f3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd5b98481db0e5722d433f327d284f3c">&#9670;&nbsp;</a></span>windowClosed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ErrorDialog::windowClosed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">signal</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Сигнал о том, что окно закрыто </p>

</div>
</div>
<h2 class="groupheader">Полный список свойств</h2>
<a id="a183274a4438fb5fe150fe29d89e64fd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a183274a4438fb5fe150fe29d89e64fd9">&#9670;&nbsp;</a></span>countPressed</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">var ErrorDialog::countPressed</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Кол-во нажатых клавиш </p>

<p class="definition">См. определение в файле <a class="el" href="ErrorDialog_8qml_source.html">ErrorDialog.qml</a> строка <a class="el" href="ErrorDialog_8qml_source.html#l00025">25</a></p>

</div>
</div>
<a id="aba8cbec72f97ca578b307c95a3e13c74"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba8cbec72f97ca578b307c95a3e13c74">&#9670;&nbsp;</a></span>countReleased</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">var ErrorDialog::countReleased</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Кол-во отпущенных клавиш </p>

<p class="definition">См. определение в файле <a class="el" href="ErrorDialog_8qml_source.html">ErrorDialog.qml</a> строка <a class="el" href="ErrorDialog_8qml_source.html#l00027">27</a></p>

</div>
</div>
<a id="a20df88d75fbcff326603c66cc8bb1412"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20df88d75fbcff326603c66cc8bb1412">&#9670;&nbsp;</a></span>err_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string ErrorDialog::err_name</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Текст для вывода ошибки </p>

<p class="definition">См. определение в файле <a class="el" href="ErrorDialog_8qml_source.html">ErrorDialog.qml</a> строка <a class="el" href="ErrorDialog_8qml_source.html#l00019">19</a></p>

</div>
</div>
<a id="a0ec37a8db38d1ef1d7a586c7cd9a17ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ec37a8db38d1ef1d7a586c7cd9a17ec">&#9670;&nbsp;</a></span>log</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string ErrorDialog::log</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Лог вывода </p>

<p class="definition">См. определение в файле <a class="el" href="ErrorDialog_8qml_source.html">ErrorDialog.qml</a> строка <a class="el" href="ErrorDialog_8qml_source.html#l00017">17</a></p>

</div>
</div>
<a id="a22e87d1547a8e6f99b3a3641fec677ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22e87d1547a8e6f99b3a3641fec677ac">&#9670;&nbsp;</a></span>onlyMessage</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool ErrorDialog::onlyMessage</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Флаг для разграничения диалога ошибки и диалога выбора сочетания клавиш </p>

<p class="definition">См. определение в файле <a class="el" href="ErrorDialog_8qml_source.html">ErrorDialog.qml</a> строка <a class="el" href="ErrorDialog_8qml_source.html#l00023">23</a></p>

</div>
</div>
<a id="a0cc274bfdf2fe3322640db72d2effd9d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cc274bfdf2fe3322640db72d2effd9d">&#9670;&nbsp;</a></span>shortcutHead</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">var ErrorDialog::shortcutHead</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Массив спец клавиш(Ctrl,Shift..) </p>

<p class="definition">См. определение в файле <a class="el" href="ErrorDialog_8qml_source.html">ErrorDialog.qml</a> строка <a class="el" href="ErrorDialog_8qml_source.html#l00029">29</a></p>

</div>
</div>
<a id="a12532ec4c07ef9d70c4844910518317b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12532ec4c07ef9d70c4844910518317b">&#9670;&nbsp;</a></span>shortcutTail</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">var ErrorDialog::shortcutTail</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Массив остальных нажатых клавиш </p>

<p class="definition">См. определение в файле <a class="el" href="ErrorDialog_8qml_source.html">ErrorDialog.qml</a> строка <a class="el" href="ErrorDialog_8qml_source.html#l00031">31</a></p>

</div>
</div>
<hr/>Объявления и описания членов класса находятся в файле:<ul>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/<a class="el" href="ErrorDialog_8qml_source.html">ErrorDialog.qml</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
